SDL_HINT_RENDER_METAL_PREFER_LOW_POWER_DEVICE(3)

NAME
SDL_HINT_RENDER_METAL_PREFER_LOW_POWER_DEVICE - A variable controlling whether the Metal render driver select low power device over default one.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_RENDER_METAL_PREFER_LOW_POWER_DEVICE SDL_RENDER_METAL_PREFER_LOW_POWER_DEVICE"

DESCRIPTION
The variable can be set to the following values: • "0": Use the prefered OS device. (default) • "1": Select a low power device. This hint should be set before creating a renderer.

AVAILABILITY
This hint is available since SDL 3.0.0.